<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{})" xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <th:block th:fragment="table">
    <table class="ui table" th:if="${not #lists.isEmpty(workItemLogs)}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
      <thead>
        <tr>
          <th class="one wide column" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DAY}}"></th>
          <th class="three wide column" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_CONTRACT}}"></th>
          <th class="eight wide column" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_WORKITEM}} + ' ' + #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NAME}}"></th>
          <th class="center aligned two wide column" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TYPESOFWORK}}"></th>
          <th class="right aligned one wide column nowrap" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TIMESPENT}}"></th>
          <th></th>
        </tr>
      </thead>
      <tbody>
        <tr th:each="item : ${workItemLogs}">
          <td class="nowrap" th:text="${#dates.format(item.day.date, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}"></td>
          <td><span th:text="${#strings.length(item.workItem.contract.name) > 35 ? #strings.substring(item.workItem.contract.name, 0, 32) + ' ...' : item.workItem.contract.name}"></span></td>
          <td>
            <a class="header" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_WORKITEMS_UPDATE} + '/' + ${item.workItem.id}}" th:text="${item.workItem.number}"></a> -
            <span th:text="${#strings.length(item.workItem.name) > 80 ? #strings.substring(item.workItem.name, 0, 77) + ' ...' : item.workItem.name}"></span>
          </td>
          <td class="center aligned" th:text="${item.typeOfWork.name}"></td>
          <td class="right aligned" th:text="${item.timeSpent}"></td>
          <td>
            <div class="right aligned" th:unless="${item.timesheet?.submitted}">
              <i class="edit icon pointer" th:onclick="'javascript:editWorklog(\'' + ${item.id} + '\');'" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
              <i class="trash icon pointer" th:onclick="'javascript:deleteWorklog(\'' + ${item.id} + '\');'" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </th:block>
</body>
</html>